Package rdkit :: Package Chem :: Package Pharm2D :: Module SigFactory :: Class SigFactory

[hide private]
[frames] | no frames]

# Class SigFactory

source code

    object --+
             |
            SigFactory

    SigFactory's are used by creating one, setting the relevant
    parameters, then calling the GetSignature() method each time a
    signature is required.

Instance Methods | [hide private]

__init__(self, featFactory, useCounts=False, minPointCount=2, maxPointCount=3, shortestPathsOnly=True, includeBondOrder=False, skipFeats=None, trianglePruneBins=True) x.__init__(...) initializes x; see help(type(x)) for signature | source code

SetBins(self, bins) bins should be a list of 2-tuples | source code

GetBins(self) | source code

GetNumBins(self) | source code

GetSignature(self) | source code

_GetBitSummaryData(self, bitIdx) | source code

GetBitDescriptionAsText(self, bitIdx, includeBins=0, fullPage=1) returns text with a description of the bit | source code

GetBitDescription(self, bitIdx) returns a text description of the bit | source code

GetFeatFamilies(self) | source code

GetMolFeats(self, mol) | source code

GetBitIdx(self, featIndices, dists, sortIndices=True) returns the index for a pharmacophore described using a set of feature indices and distances | source code

GetBitInfo(self, idx) returns information about the given bit | source code

Init(self) Initializes internal parameters. | source code

GetSigSize(self) | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables | [hide private]

| _findBinIdx = `cUtils.FindBinIdx`

Properties | [hide private]

Inherited from `object`: `__class__`

Method Details | [hide private]

### __init__(self, featFactory, useCounts=False, minPointCount=2, maxPointCount=3, shortestPathsOnly=True, includeBondOrder=False, skipFeats=None, trianglePruneBins=True)
(Constructor)

source code

    x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)

### GetBitDescriptionAsText(self, bitIdx, includeBins=0, fullPage=1)

source code

    returns text with a description of the bit

    **Arguments**

      - bitIdx: an integer bit index

      - includeBins: (optional) if nonzero, information about the bins will be
        included as well

      - fullPage: (optional) if nonzero, html headers and footers will
        be included (so as to make the output a complete page)

    **Returns**

      a string with the HTML

### GetBitDescription(self, bitIdx)

source code

    returns a text description of the bit

    **Arguments**

      - bitIdx: an integer bit index

    **Returns**

      a string

### GetBitIdx(self, featIndices, dists, sortIndices=True)

source code

    returns the index for a pharmacophore described using a set of
      feature indices and distances

    **Arguments***

      - featIndices: a sequence of feature indices

      - dists: a sequence of distance between the features, only the
        unique distances should be included, and they should be in the
        order defined in Utils.

      - sortIndices : sort the indices

    **Returns**

      the integer bit index

### GetBitInfo(self, idx)

source code

    returns information about the given bit

    **Arguments**

      - idx: the bit index to be considered

    **Returns**

      a 3-tuple:

        1) the number of points in the pharmacophore

        2) the proto-pharmacophore (tuple of pattern indices)

        3) the scaffold (tuple of distance indices)

### Init(self)

source code

    Initializes internal parameters.  This **must** be called after
    making any changes to the signature parameters